Package Gnumed :: Package exporters :: Module gmPatientExporter |
[frames] | no frames]

# Module gmPatientExporter

source code

    GNUmed simple ASCII EMR export tool.

    TODO:
    - GUI mode:
      - post-0.1 !
      - allow user to select patient
      - allow user to pick episodes/encounters/etc from list
    - output modes:
      - HTML - post-0.1 !

Version: $Revision: 1.138 $

Author: Carlos Moro

License: GPL

Classes
| cEmrExport
| cEMRJournalExporter Exports patient EMR into a simple chronological journal.
| cMedistarSOAPExporter Export SOAP data per encounter into Medistar import format.

Functions
usage() Prints application usage options to stdout. | source code
run() Main module application execution loop. | source code

Imports: os, sys, types, time, codecs, pyDT, logging, shutil, mxParser, mxDT, gmI18N, gmExceptions, gmNull, gmPG2, gmTools, gmClinicalRecord, gmPerson, gmAllergy, gmDemographicRecord, gmClinNarrative, gmPersonSearch